Subject: bug#5618: 23.1.91; shell-command-on-region unexpectedly erases buffer

From: Stefan Monnier <[email-masked]>
Date: Sat, 06 Mar 2010 12:34:33 -0500

> Besides, the behaviour in the current documentation seems way more
> useful (i.e. _not_ erasing the buffer whenever REPLACE is non-nil).

Agreed.  We should try and fix the code to obey the doc more than the
converse.  If that can introduce backward compatibility problems, then
it just means we need to do it more carefully.

        Stefan